CREATE TABLE gtg_ts_transactioncalendar (
    ETL_SEQUENCE_ID              NUMBER(19, 0),
    ETL_VERSION_NUMBER           NUMBER(18, 0),
    DELETE_VERSION_NUMBER        NUMBER(18, 0),
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    BUSINESS_DAY_FLAG            VARCHAR2(4)  ,
    DAY_OF_WEEK                  VARCHAR2(12) ,
    DESCRIPTION                  VARCHAR2(960),
    FRI_BUSINESS_DAY_FLAG        VARCHAR2(4)  ,
    GLTRANSACTIONCALENDAR_CB     VARCHAR2(256),
    GLTRANSACTIONCALENDAR_CD     TIMESTAMP(6) ,
    GLTRANSACTIONCALENDAR_LUB    VARCHAR2(256),
    GLTRANSACTIONCALENDAR_LUD    TIMESTAMP(6) ,
    GLTRANSACTIONDATES_CB        VARCHAR2(256),
    GLTRANSACTIONDATES_CD        TIMESTAMP(6) ,
    GLTRANSACTIONDATES_LUB       VARCHAR2(256),
    GLTRANSACTIONDATES_LUD       TIMESTAMP(6) ,
    GLTRCLTRNCALID               NUMBER(18, 0),
    MON_BUSINESS_DAY_FLAG        VARCHAR2(4)  ,
    NAME                         VARCHAR2(100),
    SAT_BUSINESS_DAY_FLAG        VARCHAR2(4)  ,
    SECURITY_FLAG                VARCHAR2(4)  ,
    SUN_BUSINESS_DAY_FLAG        VARCHAR2(4)  ,
    THU_BUSINESS_DAY_FLAG        VARCHAR2(4)  ,
    TRANSACTION_CALENDAR_ID      NUMBER(18, 0),
    TRANSACTION_DATE             DATE         ,
    TUE_BUSINESS_DAY_FLAG        VARCHAR2(4)  ,
    WED_BUSINESS_DAY_FLAG        VARCHAR2(4)  ,
    ETL_SEQUENCE_ID              NUMBER(19, 0),
    ETL_VERSION_NUMBER           NUMBER(18, 0),
    DELETE_VERSION_NUMBER        NUMBER(18, 0),
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    BUSINESS_DAY_FLAG            VARCHAR2(4)  ,
    DAY_OF_WEEK                  VARCHAR2(12) ,
    DESCRIPTION                  VARCHAR2(960),
    FRI_BUSINESS_DAY_FLAG        VARCHAR2(4)  ,
    GLTRANSACTIONCALENDAR_CB     VARCHAR2(256),
    GLTRANSACTIONCALENDAR_CD     TIMESTAMP(6) ,
    GLTRANSACTIONCALENDAR_LUB    VARCHAR2(256),
    GLTRANSACTIONCALENDAR_LUD    TIMESTAMP(6) ,
    GLTRANSACTIONDATES_CB        VARCHAR2(256),
    GLTRANSACTIONDATES_CD        TIMESTAMP(6) ,
    GLTRANSACTIONDATES_LUB       VARCHAR2(256),
    GLTRANSACTIONDATES_LUD       TIMESTAMP(6) ,
    GLTRCLTRNCALID               NUMBER(18, 0),
    MON_BUSINESS_DAY_FLAG        VARCHAR2(4)  ,
    NAME                         VARCHAR2(100),
    SAT_BUSINESS_DAY_FLAG        VARCHAR2(4)  ,
    SECURITY_FLAG                VARCHAR2(4)  ,
    SUN_BUSINESS_DAY_FLAG        VARCHAR2(4)  ,
    THU_BUSINESS_DAY_FLAG        VARCHAR2(4)  ,
    TRANSACTION_CALENDAR_ID      NUMBER(18, 0),
    TRANSACTION_DATE             DATE         ,
    TUE_BUSINESS_DAY_FLAG        VARCHAR2(4)  ,
    WED_BUSINESS_DAY_FLAG        VARCHAR2(4)  ,
    CONSTRAINT pk_gtg_ts_transactioncalendar PRIMARY KEY (ETL_SEQUENCE_ID, ETL_VERSION_NUMBER, ETL_SEQUENCE_ID, ETL_VERSION_NUMBER)
);
